# Uses of Record Class
org.apache.lucene.search.BooleanClause

Packages that use BooleanClause
Package
Description
org.apache.lucene.search
Code to search indices.

## Uses of BooleanClause in org.apache.lucene.search

Methods in org.apache.lucene.search that return types with arguments of type BooleanClause
Modifier and Type
Method
Description
`List<BooleanClause>`
BooleanQuery.`clauses()`
Return a list of the clauses of this `BooleanQuery`.
`List<BooleanClause>`
IndriQuery.`getClauses()`
`final Iterator<BooleanClause>`
BooleanQuery.`iterator()`
Returns an iterator on the clauses in this query.
`Iterator<BooleanClause>`
IndriQuery.`iterator()`
Methods in org.apache.lucene.search with parameters of type BooleanClause
Modifier and Type
Method
Description
`BooleanQuery.Builder`
BooleanQuery.Builder.`add(BooleanClause clause)`
Add a new clause to this `BooleanQuery.Builder`.
Constructor parameters in org.apache.lucene.search with type arguments of type BooleanClause
Modifier
Constructor
Description
``
`IndriAndQuery(List<BooleanClause> clauses)`
``
`IndriQuery(List<BooleanClause> clauses)`